package com.zioinfo.mes.capa.mapper;

import com.zioinfo.mes.capa.MesCapa;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CapaMapper {
    List<MesCapa> findAll(@Param("status") String status, @Param("capaType") String capaType);
    MesCapa findById(@Param("id") Long id);
    int insert(MesCapa c);
    int update(MesCapa c);
    int updateStatus(@Param("id") Long id, @Param("status") String status,
                     @Param("effectiveness") String effectiveness);
}
